CMDLINER-INSTALL-TOOL-SUPPORT(1)

NAME

cmdliner-install-tool-support - Install both tool completion and manpages

SYNOPSIS

cmdliner install tool-support [OPTION]… TOOLEXEC[:NAME]… PREFIX

DESCRIPTION

cmdliner install tool-support combines commands install tool-completion and install tool-manpages to install all tool support files in a given PREFIX which is assumed to follow the Filesystem Hierarchy Standard. Use options --sharedir and/or --mandir if that is not the case (e.g. in opam as of writing). Use option --dry-run to see which paths would be written. Example:

cmdliner install tool-support ./mytool /usr/local

cmdliner install tool-support --update-opam-install=mypkg.install \
         _build/mytool _build/prefix

ARGUMENTS

PREFIX (required)
    PREFIX is the install prefix. For example /usr/local.

TOOLEXEC[:NAME] (required)
    TOOLEXEC is the tool executable. Searched in the PATH unless an explicit file path is specified. NAME is the tool name, if unspecified derived from TOOLEXEC by taking the basename and stripping any .exe extension. Repeatable.

OPTIONS

--dry-run
    Do not install, output paths that would be written.

--mandir=MANDIR (absent=SHAREDIR/man)
    MANDIR is the root man directory to install to.

-s SHELL, --shell=SHELL (absent=All supported shells)
    SHELL the shell to support, must be one of bash, zsh or pwsh. Repeatable.

--sharedir=SHAREDIR (absent=PREFIX/share)
    SHAREDIR is the share directory to install to.

--standalone-completion
    Generate standalone completion scripts. These scripts do not depend on the generic cmdliner completion scripts. For some shells this may result in slower completion.

--update-opam-install=PKG.install
    Update or create an opam .install file PKG.install with install moves from the installed files to the corresponding opam install sections. Also performed if --dry-run is specified.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

cmdliner install tool-support exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

SEE ALSO

cmdliner(1)